Subject: [bug#73383] [PATCH] home: home-shepherd-configuration: Add silent? field.

From: Dariqq <[email-masked]>
Date: Fri, 27 Sep 2024 14:06:16 +0000

On 25.09.24 17:57, Ludovic Courtès wrote:
> Hi,
> 
> Dariqq <[email-masked]> skribis:
> 
>> * gnu/home/services/shepherd.scm (home-shepherd-configuration): Add silent? field.
>> (launch-shepherd-gexp): Conditionally invoke shepherd with --silent.
>> * doc/guix.texi (home-shepherd-configuration): Document it.
>>
>> Change-Id: I1ce7a92c2777ebded39fe293b0bdcbd03562b4fc
> 
> [...]
> 
>> Related: The daemonize? field is not documented and the accessor is not being
>> exported.
> 
> We should fix it.
> 
>> +@item silent? (default: @code{#f})
>> +Whether or not the auto-started Shepherd should output to stdout.
> 
> Alternatively: “When true, the @command{shepherd} process does not write
> anything to standard output.”

That sounds way better. I would also mention that this only does 
something when autostart? is also #t.
> 
> I would go as far as making it #t by default, WDYT?
> 
Personally I think these messages provide little value when they just 
inform me that all my home-services have started successfully 
(especially because this is also available in the log file anyway), so I 
would have no objection.

Not sure how others feel about them. Probably most dont see them at all 
when they launch directly into their de/wm.

> Thanks,
> Ludo’.